package com.cim.idm.model;

import lombok.Data;

import java.util.List;

/*
 * 快速生成Getter和Setter的方式，右键选中属性，找到Source下的Generate Getter和Setter，再选择你需要的目标属性就可以了
 */
@Data
public class BaseEntity<T> {
	//消息类型
	private String messagetype;
	//操作类型
	private String operatetype;
	//操作者
	private String user;
	//操作时间
	private String time; 	
	
	private String opCode;
	
	public String getOperatetype() {
		return operatetype;
	}

	public void setOperatetype(String operatetype) {
		this.operatetype = operatetype;
	}
	
	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}
    
	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getMessagetype() {
		return messagetype;
	}

	public void setMessagetype(String messagetype) {
		this.messagetype = messagetype;
	}

	//实体list	 
	private List<T> body;


	public List<T> getBody() {
		return body;
	}

	public void setBody(List<T> body) {
		this.body = body;
	}

	
}
